#!/bin/sh

set -x
set -e

cloudrel=zesty
cloudimg=zesty-server-cloudimg-arm64.img
sudo apt-get install -y \
     qemu-kvm qemu-utils qemu-efi libvirt-bin screen uuid-runtime

test -f ${cloudimg} || wget http://cloud-images.ubuntu.com/${cloudrel}/current/${cloudimg}

echo '#!/bin/sh' | sudo tee /etc/qemu-ifup > /dev/null
echo "" | sudo tee -a /etc/qemu-ifup > /dev/null
echo "set -e" | sudo tee -a /etc/qemu-ifup > /dev/null
echo "" | sudo tee -a /etc/qemu-ifup > /dev/null
echo 'ip link set "$1" up' | sudo tee -a /etc/qemu-ifup > /dev/null
echo 'ip link set "$1" master virbr0' | sudo tee -a /etc/qemu-ifup > /dev/null
